Skip to content

Get a team

GET/v1/teams/{teamId}

GET
/v1/teams/{teamId}
curl --request GET \
--url 'https://api.ligr.live/rest/v1/teams/1?disableClubFallback=false' \
--header 'Authorization: Bearer <token>'

Return the team with the given ID. Accepts the include query parameter with codes p, v, c, one level deep.

teamId
required

Entity identifier

integer format: int32
>= 1

The team id

include

Comma seperated string of entity abbreviations Allows optional population of nested entities v = venue p = players c = competitions e.g. ‘c,p,v’

string
disableClubFallback
boolean

Ok

Media typeapplication/json
Any of:
object
id
required

Entity identifier

integer format: int32
>= 1
name
required

Default Entity name

string
>= 6 characters <= 39 characters
gfxName

Name predominantly display in graphics

string
>= 6 characters <= 19 characters
gfxFullName

Name predominantly display in graphics

string
>= 6 characters <= 35 characters
abbreviation

Abbreviation

string
>= 2 characters <= 4 characters
primaryBackgroundColor
string
primaryTextColor
string
secondaryBackgroundColor
string
secondaryTextColor
string
defaultVenueId

Entity identifier

integer format: int32
>= 1
sport
required
string
Allowed values: football rugbyUnion rugbyLeague netball cricket futsal iceHockey fieldHockey waterPolo handBall lacrosse touchFootball ausRules basketball rugbySevens gridiron volleyball baseball tennis
clubId

Entity identifier

integer format: int32
>= 1
isHome
boolean
logoUrl

CDN URL of the team logo, or of the club logo when the team has none. Present only on the team routes.

string
nonPlayerStaff

Coaches and other staff who are not players. Graphics show the manager entry as the coach. If no entry has the manager role, graphics show the first entry.

Array<object>

A coach or other staff member of a team.

object
firstName
required
string
lastName
required
string
role
required

Role of a team staff member. Graphics show the manager as the coach.

string
Allowed values: manager assistantManager
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
Example
{
"sport": "football",
"nonPlayerStaff": [
{
"role": "manager"
}
],
"dataProvider": {
"name": "RB"
}
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Team not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}